#ifndef TIMEREPLICATORFORM_H
#define TIMEREPLICATORFORM_H

#include <QWidget>
#include "device/TimeReplicator.h"

namespace Ui {
class TimeReplicatorForm;
}

class TimeReplicatorForm : public QWidget
{
    Q_OBJECT

public:
    explicit TimeReplicatorForm(QWidget *parent = nullptr);
    ~TimeReplicatorForm();

public slots:
    void drawDeviceFrameOnForm(DeviceFrameBaseDto * frameData);
    void displayDeviceCommandOnForm(QJsonObject command);

private slots:
    void on_tmRepButt_clicked();

    void on_tmRepCmdRepButt_clicked();

private:
    Ui::TimeReplicatorForm *ui;
};

#endif // TIMEREPLICATORFORM_H
